libalpm_errors(3)

NAME
libalpm_errors - Error Codes

 - Error codes returned by libalpm.

SYNOPSIS

  Enumerations
enum alpm_errno_t { ALPM_ERR_OK = 0, ALPM_ERR_MEMORY, ALPM_ERR_SYSTEM, ALPM_ERR_BADPERMS, ALPM_ERR_NOT_A_FILE, ALPM_ERR_NOT_A_DIR, ALPM_ERR_WRONG_ARGS, ALPM_ERR_DISK_SPACE, ALPM_ERR_HANDLE_NULL, ALPM_ERR_HANDLE_NOT_NULL, ALPM_ERR_HANDLE_LOCK, ALPM_ERR_DB_OPEN, ALPM_ERR_DB_CREATE, ALPM_ERR_DB_NULL, ALPM_ERR_DB_NOT_NULL, ALPM_ERR_DB_NOT_FOUND, ALPM_ERR_DB_INVALID, ALPM_ERR_DB_INVALID_SIG, ALPM_ERR_DB_VERSION, ALPM_ERR_DB_WRITE, ALPM_ERR_DB_REMOVE, ALPM_ERR_SERVER_BAD_URL, ALPM_ERR_SERVER_NONE, ALPM_ERR_TRANS_NOT_NULL, ALPM_ERR_TRANS_NULL, ALPM_ERR_TRANS_DUP_TARGET, ALPM_ERR_TRANS_DUP_FILENAME, ALPM_ERR_TRANS_NOT_INITIALIZED, ALPM_ERR_TRANS_NOT_PREPARED, ALPM_ERR_TRANS_ABORT, ALPM_ERR_TRANS_TYPE, ALPM_ERR_TRANS_NOT_LOCKED, ALPM_ERR_TRANS_HOOK_FAILED, ALPM_ERR_PKG_NOT_FOUND, ALPM_ERR_PKG_IGNORED, ALPM_ERR_PKG_INVALID, ALPM_ERR_PKG_INVALID_CHECKSUM, ALPM_ERR_PKG_INVALID_SIG, ALPM_ERR_PKG_MISSING_SIG, ALPM_ERR_PKG_OPEN, ALPM_ERR_PKG_CANT_REMOVE, ALPM_ERR_PKG_INVALID_NAME, ALPM_ERR_PKG_INVALID_ARCH, ALPM_ERR_SIG_MISSING, ALPM_ERR_SIG_INVALID, ALPM_ERR_UNSATISFIED_DEPS, ALPM_ERR_CONFLICTING_DEPS, ALPM_ERR_FILE_CONFLICTS, ALPM_ERR_RETRIEVE, ALPM_ERR_INVALID_REGEX, ALPM_ERR_LIBARCHIVE, ALPM_ERR_LIBCURL, ALPM_ERR_EXTERNAL_DOWNLOAD, ALPM_ERR_GPGME, ALPM_ERR_MISSING_CAPABILITY_SIGNATURES }
libalpm's error type

  Functions
alpm_errno_t alpm_errno (alpm_handle_t *handle)
Returns the current error code from the handle.
const char * alpm_strerror (alpm_errno_t err)
Returns the string corresponding to an error number.

Detailed Description

Error codes returned by libalpm.

Enumeration Type Documentation

  enum alpm_errno_t

libalpm's error type

Enumerator

ALPM_ERR_OK
    No error.

ALPM_ERR_MEMORY
    Failed to allocate memory.

ALPM_ERR_SYSTEM
    A system error occurred.

ALPM_ERR_BADPERMS
    Permmision denied.

ALPM_ERR_NOT_A_FILE
    Should be a file.

ALPM_ERR_NOT_A_DIR
    Should be a directory.

ALPM_ERR_WRONG_ARGS
    Function was called with invalid arguments.

ALPM_ERR_DISK_SPACE
    Insufficient disk space.

ALPM_ERR_HANDLE_NULL
    Handle should be null.

ALPM_ERR_HANDLE_NOT_NULL
    Handle should not be null.

ALPM_ERR_HANDLE_LOCK
    Failed to acquire lock.

ALPM_ERR_DB_OPEN
    Failed to open database.

ALPM_ERR_DB_CREATE
    Failed to create database.

ALPM_ERR_DB_NULL
    Database should not be null.

ALPM_ERR_DB_NOT_NULL
    Database should be null.

ALPM_ERR_DB_NOT_FOUND
    The database could not be found.

ALPM_ERR_DB_INVALID
    Database is invalid.

ALPM_ERR_DB_INVALID_SIG
    Database has an invalid signature.

ALPM_ERR_DB_VERSION
    The localdb is in a newer/older format than libalpm expects.

ALPM_ERR_DB_WRITE
    Failed to write to the database.

ALPM_ERR_DB_REMOVE
    Failed to remove entry from database.

ALPM_ERR_SERVER_BAD_URL
    Server URL is in an invalid format.

ALPM_ERR_SERVER_NONE
    The database has no configured servers.

ALPM_ERR_TRANS_NOT_NULL
    A transaction is already initialized.

ALPM_ERR_TRANS_NULL
    A transaction has not been initialized.

ALPM_ERR_TRANS_DUP_TARGET
    Duplicate target in transaction.

ALPM_ERR_TRANS_DUP_FILENAME
    Duplicate filename in transaction.

ALPM_ERR_TRANS_NOT_INITIALIZED
    A transaction has not been initialized.

ALPM_ERR_TRANS_NOT_PREPARED
    Transaction has not been prepared.

ALPM_ERR_TRANS_ABORT
    Transaction was aborted.

ALPM_ERR_TRANS_TYPE
    Failed to interrupt transaction.

ALPM_ERR_TRANS_NOT_LOCKED
    Tried to commit transaction without locking the database.

ALPM_ERR_TRANS_HOOK_FAILED
    A hook failed to run.

ALPM_ERR_PKG_NOT_FOUND
    Package not found.

ALPM_ERR_PKG_IGNORED
    Package is in ignorepkg.

ALPM_ERR_PKG_INVALID
    Package is invalid.

ALPM_ERR_PKG_INVALID_CHECKSUM
    Package has an invalid checksum.

ALPM_ERR_PKG_INVALID_SIG
    Package has an invalid signature.

ALPM_ERR_PKG_MISSING_SIG
    Package does not have a signature.

ALPM_ERR_PKG_OPEN
    Cannot open the package file.

ALPM_ERR_PKG_CANT_REMOVE
    Failed to remove package files.

ALPM_ERR_PKG_INVALID_NAME
    Package has an invalid name.

ALPM_ERR_PKG_INVALID_ARCH
    Package has an invalid architecture.

ALPM_ERR_SIG_MISSING
    Signatures are missing.

ALPM_ERR_SIG_INVALID
    Signatures are invalid.

ALPM_ERR_UNSATISFIED_DEPS
    Dependencies could not be satisfied.

ALPM_ERR_CONFLICTING_DEPS
    Conflicting dependencies.

ALPM_ERR_FILE_CONFLICTS
    Files conflict.

ALPM_ERR_RETRIEVE
    Download failed.

ALPM_ERR_INVALID_REGEX
    Invalid Regex.

ALPM_ERR_LIBARCHIVE
    Error in libarchive.

ALPM_ERR_LIBCURL
    Error in libcurl.

ALPM_ERR_EXTERNAL_DOWNLOAD
    Error in external download program.

ALPM_ERR_GPGME
    Error in gpgme.

ALPM_ERR_MISSING_CAPABILITY_SIGNATURES
    Missing compile-time features.

Function Documentation

  alpm_errno_t alpm_errno (alpm_handle_t * handle)

Returns the current error code from the handle.

Parameters
    handle the context handle

Returns
    the current error code of the handle

  const char* alpm_strerror (alpm_errno_t err)

Returns the string corresponding to an error number.

Parameters
    err the error code to get the string for

Returns
    the string relating to the given error code

Author

Generated automatically by Doxygen for libalpm from the source code.